petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatMumpsGetInverse

Get user-specified set of entries in inverse of A

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetInverse(Mat F,Mat spRHS)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| spRHS | - sequential sparse matrix in MATTRANSPOSEMAT format holding specified indices in processor[0]

### Output Parameter

spRHS -requested entries of inverse of A

### References

MUMPS Users' Guide -

### See Also

MatGetFactor(), MatCreateTranspose()

### Level

beginner

### Location

src/mat/impls/aij/mpi/mumps/mumps.c

### Implementations

MatMumpsGetInverse_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages